@import '../../../styles.scss';

.receta-container {
  font-size: 1em;
  background: $back-color;
  color: $text-color;
  box-shadow: $box-shadow;
  transition: .3s $ease-in;
  width: 100%;
  max-width: 600px;
  height: 280px;
  margin: 0 auto 48px;
  position: relative;
  background-image: url(../../../assets/test.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  @include flex;

  &:hover {
    cursor: pointer;
    box-shadow: 0 3px 6px rgba($color: #000000, $alpha: .4);
    transform: translateY(-5px);
    .ingredients {
        opacity: 1;
        height: auto;
        transform: translateY(16px);
    }
    .text-container {
        height: 50%;
    }
  }

  .ingredients {
    opacity: 0;
    height: 1px;
    transition: .4s $ease-in;
    font-style: italic;
}

  &:active {
    box-shadow: 0 3px 6px rgba($color: #000000, $alpha: .4);
    transform: translateY(-5px);
  }

  .receta-title {
    text-transform: uppercase;
    font-size: 2em;
  }

  .text-container {
    padding: 8px;
    width: 100%;
    height: 20%;
    margin-top: auto;
    transition: .2s $ease-in;
    background: $light-transp;
    overflow: hidden;
    @include flex;
    align-content: center;

    div {
        width: 80%;
    }
  }

  .stars {
    width: 120px;
    margin-top: 8px;
    transform: scaleZ(1);
}

.arrow {
    width: 15px;
    margin-left: auto;
  }

}
